'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Emphasis = require('./Emphasis.scss');

var _Emphasis2 = _interopRequireDefault(_Emphasis);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isNotEmpty(value) {
	return value;
}

function emphasiseAll(text, value) {
	if (!text) {
		return '';
	}
	if (!value) {
		return text;
	}

	return text.split(new RegExp('(' + value + ')', 'gi')).filter(isNotEmpty).map(function (part, index) {
		if (part.toUpperCase() === value.toUpperCase()) {
			return _react2.default.createElement(
				'em',
				{ key: index, className: _Emphasis2.default.highlight },
				part
			);
		}
		return part;
	});
}

function Emphasis(props) {
	return _react2.default.createElement(
		'span',
		null,
		emphasiseAll(props.text, props.value)
	);
}

Emphasis.propTypes = {
	value: _react.PropTypes.string,
	text: _react.PropTypes.string
};

exports.default = Emphasis;